Subject: bug#69573: Eager macro-expansion failure: (wrong-type-argument integer-or-marker-p nil)

From: Andrea Corallo <[email-masked]>
Date: Fri, 15 Mar 2024 12:58:14 -0400

Gabriele Nicolardi <[email-masked]> writes:

> Il 15/03/24 14:52, Andrea Corallo wrote:
>
>  Okay I've installed 00553628558 into master, I believe it does what we
> want and seems to fix the minimal reproducer I made from the original
> example.
>
> Gabriele could you check it solves the issue for you?
>
> I'm sorry, but I'm not sure what to do to test the modification.
> I have Emacs 29.2 installed via snap. I suppose I would need to
> install the modified version by downloading it from the repo. 
> This is something I've never done before.
> If necessary, I could try doing it on a virtual machine.

Something like this should do the job (you might need to install some
package):

$ git clone https://git.savannah.gnu.org/git/emacs.git
$ cd emacs && ./autogen.sh && ./configure --with-native-compilation && make -j16

Once done you can run this emacs without installing it with $ ./src/emacs

So if you wanted to use a VM not to install this particular Emacs it
might not be necessary.

>  Now thinking about, I think we should install it into 29 if it proves to
> be the right fix.
>
> This would be desirable since the version provided by snap is indeed 29.

Once we are more confident is not causing issues I'll do it.  Maybe we
can revist this in few weeks, hopefully sitting on master we should get
a report if something breaks.

> Thanks!
> Gabriele

Welcome :)

  Andrea